Package org.eclipse.emf.spi.cdo

# Class AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges

java.lang.Object
org.eclipse.emf.spi.cdo.AbstractConflictResolver
org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver
org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges

All Implemented Interfaces:
  `CDOConflictResolver`, `CDOConflictResolver2`

Enclosing class:
  `AbstractObjectConflictResolver`

@Deprecated public static class AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges extends AbstractObjectConflictResolver
Deprecated.
A conflict resolver implementation that takes all the new remote state of the conflicting objects and then applies the locally existing changes of the current transaction.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver

`AbstractObjectConflictResolver.MergeLocalChangesPerFeature, AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges, AbstractObjectConflictResolver.ThreeWayMerge`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

`CDOConflictResolver.NonConflictAware`

## Constructor Summary

Constructors
Constructor
Description
`TakeRemoteChangesThenApplyLocalChanges()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)`
Deprecated.

### Methods inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver

`changeObject, readObject, resolveConflict, resolveConflict, resolveConflicts, rollbackObject`

### Methods inherited from class org.eclipse.emf.spi.cdo.AbstractConflictResolver

`getTransaction, hookTransaction, setTransaction, unhookTransaction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

`getTransaction, setTransaction`

## Constructor Details

### TakeRemoteChangesThenApplyLocalChanges

@Deprecated public TakeRemoteChangesThenApplyLocalChanges()
Deprecated.

## Method Details

### resolveConflicts

@Deprecated public void resolveConflicts(Map<CDOObject,org.eclipse.net4j.util.collection.Pair<CDORevision,CDORevisionDelta>> conflicts, List<CDORevisionDelta> allRemoteDeltas)
Deprecated.
Description copied from interface: `CDOConflictResolver2`
Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.

Depending on the decisions taken to resolve the conflict, it may be necessary to adjust the notifications that will be sent to the adapters in the current transaction. This can be achieved by adjusting the `CDORevisionDelta` in `deltas`.

Specified by:
  `resolveConflicts` in interface `CDOConflictResolver2`
Overrides:
  `resolveConflicts` in class `AbstractObjectConflictResolver`
Parameters:
  `conflicts` - A map that contains the local objects with conflicts as the keys. Each value in this map is a `pair` that optionally contains the old local revision (ancestor) as element1 and the remote delta as element2. Any of the pair elements can be `null` if it is not possible to determine it locally (depends on local revision caching and server behavior regarding transmission of deltas instead of invalidations).